<?php
$cliente = Clientes::model()->findByPk($CLI_IDCLIENTE);

if(!$cliente->isAllowed()) {
    User::blockAction('Este documento não pertence a nenhuma Unidade de Negócios em que você tenha permissão');
}

if (User::canCreate()) {

    if (isset($model->COT_DTCADASTRO)) {
        $model->COT_DTCADASTRO = Util::formatDataBr($model->COT_DTCADASTRO);
    }

    if (isset($model->COT_DTINICOBRANCA)) {
        $model->COT_DTINICOBRANCA = Util::formatDataBr($model->COT_DTINICOBRANCA);
    }

    if (isset($model->COT_DTPRICOBRANCA)) {
        $model->COT_DTPRICOBRANCA = Util::formatDataBr($model->COT_DTPRICOBRANCA);
    }

    if (isset($model->COT_DTINICARENCIA)) {
        $model->COT_DTINICARENCIA = Util::formatDataBr($model->COT_DTINICARENCIA);
    }

    if (isset($model->COT_DTFIMCARENCIA)) {
        $model->COT_DTFIMCARENCIA = Util::formatDataBr($model->COT_DTFIMCARENCIA);
    }

    if ($model->isNewRecord) {
        $model->COT_IDVENDEDOR = User::getId();
    }

    $situacao = isset($_GET['COT_SITUACAO']) ? (int)$_GET['COT_SITUACAO'] : '';
    $include = '';
    if ($situacao == Contratos::ADENDO) {
        $include = '_form_adendo';
    } elseif ($situacao == Contratos::CONTRATO) {
        $include = '_form_contrato';
    } elseif ($situacao == Contratos::ORCAMENTO) {
        $include = '_form_orcamento';
    } elseif ($situacao == Contratos::PEDIDO_IMPLANTACAO) {
        $include = '_form_pedido_implantacao';
    } elseif ($situacao == Contratos::PEDIDO_REATIVACAO) {
        $include = '_form_pedido_reativacao';
    } elseif ($situacao == Contratos::PEDIDO_CUSTOMIZACAO) {
        $include = '_form_pedido_customizacao';
    }
    if($situacao)
    $this->renderPartial($include, array(
        'model' => $model,
        'cliente' => $cliente,
        'situacao' => (isset($_GET['COT_SITUACAO']) ? $_GET['COT_SITUACAO'] : ''),
        'buttons' => 'create'
        )
    );
    Yii::import('ext.qTip2.qTip2');
    qTip2::apply('#contratos-form img[title]');

    Yii::app()->clientScript->registerScript('submit', '
    $(document).ready( function() {
       $("#submit_button").click(function() {
          $(this).prop("disabled",true)
             .parents("form").submit();
          });
    })
    ');
}
